aboutsummaryrefslogtreecommitdiffstats
path: root/bin/darwin
diff options
context:
space:
mode:
authorChris Larson <chris_larson@mentor.com>2010-10-27 17:27:34 -0700
committerChris Larson <chris_larson@mentor.com>2011-01-26 14:27:33 -0700
commitc1c058fc29f916c2f000bb7195f6195e271873b0 (patch)
tree801e27d9169fc1db6b37a6e21aee90ef1a62b0e4 /bin/darwin
parent60911f259a77727839b07188f03eaff34e64de2f (diff)
downloadopenembedded-c1c058fc29f916c2f000bb7195f6195e271873b0.tar.gz
bitbake.conf: include bin dirs from BBPATH in PATH
Signed-off-by: Chris Larson <chris_larson@mentor.com> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Eric BĂ©nard <eric@eukrea.com>
Diffstat (limited to 'bin/darwin')
-rwxr-xr-xbin/darwin/cp29
-rwxr-xr-xbin/darwin/sed65
2 files changed, 94 insertions, 0 deletions
diff --git a/bin/darwin/cp b/bin/darwin/cp
new file mode 100755
index 0000000000..0a523b7987
--- /dev/null
+++ b/bin/darwin/cp
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# - We do not allow -i due to the non-interactive nature of OE tasks
+# - We do not allow -r, as it has known problems, and is marked
+# obsolescent in the standard
+# - We allow -a as shorthand for -RpP
+# - Otherwise, we stick to what SuSv3 defines
+
+
+source $(dirname $0)/wrapper.sh
+
+saved=""
+while getopts fpaRHLP opt; do
+ case "$opt" in
+ a)
+ opt="RpP"
+ ;;
+ \?)
+ exit 1
+ ;;
+ esac
+ save "-$opt"
+done
+shift $(($OPTIND - 1))
+for arg; do
+ save "$arg"
+done
+
+exec_real
diff --git a/bin/darwin/sed b/bin/darwin/sed
new file mode 100755
index 0000000000..352a3ca6e8
--- /dev/null
+++ b/bin/darwin/sed
@@ -0,0 +1,65 @@
+#!/bin/sh
+#
+# Sed portability notes
+# - SuSv3
+# - Only -e, -f, and -n are standard options
+# - Linux
+# - -i argument is of the form -i[ext]
+# - extended regular expressions argument is -r
+# - Mac OSX
+# - -i argument is of the form -i [ext]
+# - extended regular expressions argument is -E
+#
+# Here we support a limited subset of the available sed capabilities,
+# ensuring that all those supported by this script can be utilized
+# regardless of the current platform.
+#
+# We accept -n, -e, -f, and -i with no backup extension. We support
+# extended regular expressions using the -r argument. Note that extended
+# regular expressions support may not be retained, depending upon the
+# capabilities of the other platforms we wish to support, and we may need
+# to reimplement -i internally in this script on some platforms.
+
+
+source $(dirname $0)/wrapper.sh
+
+case `uname -s` in
+ Darwin)
+ inplace_arg="-i ''"
+ extended_re_arg="-E"
+ getopt_os="ir"
+ ;;
+ Linux)
+ inplace_arg="-i"
+ extended_re_arg="-r"
+ getopt_os="ir"
+ ;;
+esac
+
+saved=""
+while getopts ne:f:$getopt_os opt; do
+ case "$opt" in
+ n)
+ save "-$opt"
+ ;;
+ e|f)
+ save "-$opt"
+ save "$OPTARG"
+ ;;
+ i)
+ saved="$saved $inplace_arg"
+ ;;
+ r)
+ saved="$saved $extended_re_arg"
+ ;;
+ \?)
+ exit 1
+ ;;
+ esac
+done
+shift $(($OPTIND - 1))
+for arg; do
+ save "$arg"
+done
+
+exec_real